#include<stdio.h>
#include<stdlib.h>


void sortuj(float *t, int n)
{
   int i, k, m;
   float x;
   
   for(i=0; i<n-1; i++)
   {
      m = i;
      for(k=i+1; k<n; k++)
      {
         if(t[k] < t[m]) m = k;
      }
      x = t[i];
      t[i] = t[m];
      t[m] = x;
   }
}

int main()
{
    float *t = NULL;
    FILE* plik;
    float x;
    int i, k;

    plik = fopen("liczby.txt", "r");
    if (plik == NULL)
    {
        printf("Blad odczytu pliku\n");
        exit(1);
    }

    i=0;
    while(!feof(plik))
    {
        fscanf(plik, "%f", &x);
        i++;
    }
    i = i - 1;

    /*  Dynamiczny przydzial pamieci dla tablicy liczb */
    t = (float*)malloc( i * sizeof(float));
    if(t == NULL)
    {
        printf("Blad przydzialu pamieci\n");
        exit(2);
    }

    /*  Wczytanie liczb z pliku do tablicy */
    fseek(plik, 0, 0);
    for(k=0; k < i; k++)
    {
        fscanf(plik, "%f", t+k);
    }

    /* sortowanie */
    sortuj(t, i);

    /*  Wypisywanie wyniku  */
    for(k=0; k < i; k++)
    {
        printf("%d: %f\n", k, t[k]);
    }

    free(t);
    fclose(plik);
}


